org.freedesktop.ModemManager1.Sim: ModemManager Reference Manual

## org.freedesktop.ModemManager1.Sim org.freedesktop.ModemManager1.Sim — The ModemManager SIM interface. |

## Methods

    SendPin              (IN  s     pin);
    SendPuk              (IN  s     puk,
                          IN  s     pin);
    EnablePin            (IN  s     pin,
                          IN  b     enabled);
    ChangePin            (IN  s     old_pin,
                          IN  s     new_pin);
    SetPreferredNetworks (IN  a(su) preferred_networks);

## Properties

    Active              readable   b
    SimIdentifier       readable   s
    Imsi                readable   s
    Eid                 readable   s
    OperatorIdentifier  readable   s
    OperatorName        readable   s
    EmergencyNumbers    readable   as
    PreferredNetworks   readable   a(su)
    Gid1                readable   ay
    Gid2                readable   ay
    SimType             readable   u
    EsimStatus          readable   u
    Removability        readable   u

## Description

The SIM interface handles communication with SIM, USIM, and RUIM (CDMA SIM) cards.

## Method Details

### The `SendPin()` method

    SendPin (IN  s pin);

Send the PIN to unlock the SIM card.

Since: 1.0

`IN s `pin``: | A string containing the PIN code.

### The `SendPuk()` method

    SendPuk (IN  s puk,
             IN  s pin);

Send the PUK and a new PIN to unlock the SIM card.

Since: 1.0

`IN s `puk``: | A string containing the PUK code.
`IN s `pin``: | A string containing the PIN code.

### The `EnablePin()` method

    EnablePin (IN  s pin,
               IN  b enabled);

Enable or disable the PIN checking.

Since: 1.0

`IN s `pin``: | A string containing the PIN code.
`IN b `enabled``: | `TRUE` to enable PIN checking, `FALSE` otherwise.

### The `ChangePin()` method

    ChangePin (IN  s old_pin,
               IN  s new_pin);

Change the PIN code.

Since: 1.0

`IN s `old_pin``: | A string containing the current PIN code.
`IN s `new_pin``: | A string containing the new PIN code.

### The `SetPreferredNetworks()` method

    SetPreferredNetworks (IN  a(su) preferred_networks);

Stores the provided preferred network list to the SIM card. Each entry contains an operator id string (`"MCCMNC"`) consisting of 5 or 6 digits, and an MMModemAccessTechnology mask to store to SIM card if supported.

This method removes any pre-existing entries of the preferred network list. Note that even if this operation fails, the preferred network list on the SIM card may have changed. Read the PreferredNetworks property to get the up-to-date list.

Since: 1.18

`IN a(su) `preferred_networks``: |

## Property Details

### The "Active" property

    Active  readable   b

Boolean indicating whether the SIM is currently active.

On systems that support Multi SIM Single Standby, only one SIM may be active at any given time, which will be the one considered primary.

On systems that support Multi SIM Multi Standby, more than one SIM may be active at any given time, but only one of them is considered primary.

Since: 1.16

### The "SimIdentifier" property

    SimIdentifier  readable   s

The ICCID of the SIM card.

This may be available before the PIN has been entered depending on the device itself.

Since: 1.0

### The "Imsi" property

    Imsi  readable   s

The IMSI of the SIM card, if any.

Since: 1.0

### The "Eid" property

    Eid  readable   s

The EID of the SIM card, if any.

Since: 1.16

### The "OperatorIdentifier" property

    OperatorIdentifier  readable   s

### The "OperatorName" property

    OperatorName  readable   s

The name of the network operator, as given by the SIM card, if known.

Since: 1.0

### The "EmergencyNumbers" property

    EmergencyNumbers  readable   as

List of emergency numbers programmed in the SIM card.

These numbers should be treated as numbers for emergency calls in addition to 112 and 911.

Since: 1.12

### The "PreferredNetworks" property

    PreferredNetworks  readable   a(su)

List of preferred networks with access technologies configured in the SIM card.

Each entry contains an operator id string (`"MCCMNC"`) consisting of 5 or 6 digits, and an MMModemAccessTechnology mask. If the SIM card does not support access technology storage, the mask will be set to MM_MODEM_ACCESS_TECHNOLOGY_UNKNOWN.

Since: 1.18

### The "Gid1" property

    Gid1  readable   ay

Group identifier 1evel 1.

Since: 1.20

### The "Gid2" property

    Gid2  readable   ay

Group identifier 1evel 2.

Since: 1.20

### The "SimType" property

    SimType  readable   u

Indicates whether the current primary SIM is a ESIM or a physical SIM, given as MMSimType value.

Since: 1.20

### The "EsimStatus" property

    EsimStatus  readable   u

If current SIM is ESIM then this indicates whether there is a profile or not, given as MMSimEsimStatus value.

Since: 1.20

### The "Removability" property

    Removability  readable   u

Indicates whether the current SIM is a removable SIM or not, given as a MMSimRemovability value.

Since: 1.20